Subject: [port-srv-reg] Fwd: Re: Assigning ports - reference updates

From: Pearl Liang <[email-masked]>
Date: Wed, 21 Sep 2011 10:05:00 -0700

Hello All,

As per Joe, Tom petch ([email-masked]) indicated that, since
RFC6335 has been approved, it should replace all references cited in the
IANA service Name and Port Number registry.  We think that we should
include RFC2782 in addition to RFC6335 for SRV Names since RFC6335 only
updates 2782.  We are checking with you if anyone has any objections to
going forward with using RFC 6335 as the reference.  And if there is one
please provide your suggested remedy.  Below describes the current text
and proposed changes: (sorry it's a bit lengthy.)

The current text in the 'Note' section located at
http://www.iana.org/assignments/service-names-port-numbers/service-names-po
rt-numbers.xml is:

OLD:
Service names are assigned on a first-come, first-served process, as
documented in [RFC952].

Port numbers are assigned in various ways, based on three ranges: System
Ports (0-1023), User Ports (1024-49151), and the Dynamic and/or Private
Ports (49152-65535); the difference uses of these ranges is described in
[RFC6335]. System Ports are assigned by IETF
process for standards-track protocols, as per [RFC1340].  User Ports
are assigned by IANA using the "Expert Review" process, as per
[RFC5226].  Dynamic Ports are not assigned.

The registration procedures for service names and port numbers are
described in [RFC6335].
/snip/

The proposed NEW text:

Option 1:
Service names are assigned on a first-come, first-served process, as
documented in [RFC6335].
              ^^^^^^^^^
Port numbers are assigned in various ways, based on three ranges: System
Ports (0-1023), User Ports (1024-49151), and the Dynamic and/or Private
Ports (49152-65535); the difference uses of these ranges is described in
[RFC6335]. System Ports are assigned by IETF
process for standards-track protocols, as per [RFC6335].  User Ports
                                              ^^^^^^^^^
are assigned by IANA using the "Expert Review" process, as per
[RFC6335].  Dynamic Ports are not assigned.
^^^^^^^^^

The registration procedures for service names and port numbers are
described in [RFC6335].
/snip/

Option 2:
Service names are assigned on a first-come, first-served process, as
documented in [RFC2782] and [RFC6335].
              ^^^^^^^^^^^^^^^^^^^^^^^^
Port numbers are assigned in various ways, based on three ranges: System
Ports (0-1023), User Ports (1024-49151), and the Dynamic and/or Private
Ports (49152-65535); the difference uses of these ranges is described in
[RFC6335]. System Ports are assigned by IETF
process for standards-track protocols, as per [RFC6335].  User Ports
                                              ^^^^^^^^^
are assigned by IANA using the "Expert Review" process, as per
[RFC6335].  Dynamic Ports are not assigned.
^^^^^^^^^

The registration procedures for service names and port numbers are
described in [RFC6335].
/snip/

Any other suggestions?  Please let us know how we can make the changes.

Thank you in advance,
~pearl

On Fri Sep 16 11:19:54 2011, [email-masked] wrote:
> Hi, Pearl,
> 
> There has been a suggestion to just cite RFC 6335 on this web page
> wherever refs are needed, since it supercedes these other docs, and
> already cites them where needed.
> 
> If you agree, please update accordingly.
> 
> Joe
> 
> On 9/15/2011 2:53 PM, Pearl Liang wrote:
> > Hi, Joe,
> >
> > As for the reference for the service name, should we change to these
> > three, rfc2782, 5226, and 6335 since Stuart's table cited rfc2782 as a
> > reference for SRV names?
> >
> > Thank you,
> > ~pl
> >
> >
> > -----Original Message-----
> > From: Joe Touch via RT<[email-masked]>
> > Reply-To: "[email-masked]"<[email-masked]>
> > Date: Thu, 15 Sep 2011 14:43:21 -0700
> > Subject: [IANA #488714] Fwd: Re: Assigning ports
> >
> >>
> >> Thu Sep 15 21:43:21 2011: Request 488714 was acted upon.
> >> Transaction: Ticket created by [email-masked]
> >>        Queue: IANA-Ports
> >>      Subject: Fwd: Re: Assigning ports
> >>        Owner: Nobody
> >>   Requestors: [email-masked]
> >>       Status: new
> >> Ticket<URL: https://request.iana.org/Ticket/Display.html?id=488714>
> >>
> >>
> >> Hi, Pearl,
> >>
> >> See below. The references could use updating...
> >>
> >> Joe
> >>
> >> -------- Original Message --------
> >> Subject: Re: Assigning ports
> >> Date: Thu, 15 Sep 2011 14:40:32 -0700
> >> From: Joe Touch<[email-masked]>
> >> To: t.petch<[email-masked]>
> >> CC: Lars Eggert<[email-masked]>, tsvwg<[email-masked]>,
> >> Magnus Westerlund<[email-masked]>
> >>
> >> Hi, Tom,
> >>
> >> On 9/15/2011 1:25 AM, t.petch wrote:
> >>> Now that RFC6335 has been published, the IANA page on how to get a
>port
> >>> assigned
> >>> has been updated (take a good book if you want to access it:-( but
>the
> >>> text
> >>> there leaves me confused.
> >>>
> >>> It says
> >>> "System Ports are assigned by IETF process for standards-track
> >>> protocols, as per
> >>> [RFC1340]"
> >>> which, RFC1340 being ' Assigned Numbers. J. Reynolds, J. Postel. July
> >>> 1992'
> >>> confuses me.
> >>
> >> It's a reference to the original definition of System Ports.
> >>
> >>> Should this instead refer to RFC6335 or RFC5226? (I suspect that
> >>> the former is the better reference even if to make sense of it you
>must
> >>> access
> >>> the latter).
> >>
> >> It might be useful to cite all three.
> >>
> >>> It also says
> >>> "Service names are assigned on a first-come, first-served process, as
> >>> documented in [RFC952]"
> >>> which, RFC952 being ' DoD Internet host table specification. K.
> >>> Harrenstien,
> >>> M.K.
> >>>        Stahl, E.J. Feinler. October 1985. '
> >>> also confuses me.   Should this instead refer to RFC6335 or RFC5226?
> >>
> >> Yes - probably both there as well.
> >>
> >> I'll forward this to IANA for update.
> >>
> >> Joe
> >>
>

---

From: Magnus Westerlund <[email-masked]>
Date: Thu, 22 Sep 2011 09:25:47 +0200

Hi,

I like option 1 better as the actual rule for assignment are in fact all
in RFC 6335, nowhere else. You already need to know what you are using
your service name to to know what to ask for.

cheers

Magnus

-- 

Magnus Westerlund

----------------------------------------------------------------------
Multimedia Technologies, Ericsson Research EAB/TVM
----------------------------------------------------------------------
Ericsson AB                | Phone  +46 10 7148287
Färögatan 6                | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden| mailto: [email-masked]
----------------------------------------------------------------------

---

From: Pearl Liang <[email-masked]>
Date: Fri, 23 Sep 2011 09:39:25 -0700

Thank you Magnus.  I'll make updates to the reference shortly.

Cheers,
~pearl

---

From: Joe Touch <[email-masked]>
Date: Fri, 23 Sep 2011 11:46:02 -0700

I agree, FWIW...

---

From: Pearl Liang <[email-masked]>
Date: Fri, 23 Sep 2011 12:14:56 -0700

This is done.  

Cheers,
~pearl

-----Original Message-----
From: Joe Touch <[email-masked]>
Date: Fri, 23 Sep 2011 11:46:02 -0700
To: Magnus Westerlund <[email-masked]>
Cc: pearl liang <[email-masked]>, "[email-masked]"
<[email-masked]>